/* -*- c++ -*- */
/*
 * Copyright 2013, 2014 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * GNU Radio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * GNU Radio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNU Radio; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#if HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdlib.h>
#include <volk/constants.h>

const char*
volk_prefix()
{
  const char *prefix = getenv("VOLK_PREFIX");
  if (prefix != NULL) return prefix;
  return "/usr";
}

const char*
volk_version()
{
  return "1.4.1git";
}

const char*
volk_c_compiler()
{
  return "x86_64-nilrt-linux-gcc (GCC) 7.3.0 \nCopyright (C) 2017 Free Software Foundation, Inc. \nThis is free software see the source for copying conditions.  There is NO \nwarranty not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.";
}

const char*
volk_compiler_flags()
{
  return "/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot-native/usr/bin/x86_64-nilrt-linux/x86_64-nilrt-linux-gcc:::  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0=/usr/src/debug/volk/1.5.0-r0 -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot= -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot -Wall \n/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot-native/usr/bin/x86_64-nilrt-linux/x86_64-nilrt-linux-g++:::  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0=/usr/src/debug/volk/1.5.0-r0 -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot= -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot-native=  -fvisibility-inlines-hidden  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot -Wall \ngeneric:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0=/usr/src/debug/volk/1.5.0-r0 -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot= -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot -Wall  \nsse2_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0=/usr/src/debug/volk/1.5.0-r0 -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot= -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot -Wall -m64 -mmmx -msse -msse2 \nsse3_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0=/usr/src/debug/volk/1.5.0-r0 -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot= -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot -Wall -m64 -mmmx -msse -msse2 -msse3 \nssse3_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0=/usr/src/debug/volk/1.5.0-r0 -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot= -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot -Wall -m64 -mmmx -msse -msse2 -msse3 -mssse3 \nsse4_a_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0=/usr/src/debug/volk/1.5.0-r0 -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot= -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot -Wall -m64 -mmmx -msse -msse2 -msse3 -msse4a -mpopcnt \nsse4_1_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0=/usr/src/debug/volk/1.5.0-r0 -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot= -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot -Wall -m64 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 \nsse4_2_64_mmx:::GNU:::-DNDEBUG  -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot  -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0=/usr/src/debug/volk/1.5.0-r0 -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot= -fdebug-prefix-map=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot-native=   -m64 -march=core2 -mtune=core2 -msse3 -mfpmath=sse  --sysroot=/srv/jenkins/perforce/ThirdPartyExports/NIOpenEmbedded/trunk/7.1/objects/feed/linuxU/x64/gcc-4.7-oe/release/build/tmp-glibc/work/core2-64-nilrt-linux/volk/1.5.0-r0/recipe-sysroot -Wall -m64 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt";
}

const char*
volk_available_machines()
{
  return "generic;sse2_64_mmx;sse3_64_mmx;ssse3_64_mmx;sse4_a_64_mmx;sse4_1_64_mmx;sse4_2_64_mmx";
}
